# OKAPI

This repository contains the protobuf specification and accompanying go module for the [OKAPI](https://docs.decozo.org/okapi/docs) standard.
Read the [OKAPI](https://docs.decozo.org/okapi/docs) specification for more information.

# Compile protobufs into go package on macos

Compiling the protobuf files yourself is not necessary but here are instructions as how one should compile it if needed (MacOs). 

```
$ brew install protoc protoc-gen-go protoc-gen-go-grpc
$ cd protobuf
$ protoc --go_out=.. --go_opt=paths=source_relative --go-grpc_out=. --go-grpc_opt=paths=source_relative okapi-errors.proto okapi-onboarding.proto okapi-service-config.proto okapi-events.proto okapi-patient-registration.proto okapi.proto
```